This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 71554 - Code completion does not recognize {@code xxx}
Summary: Code completion does not recognize {@code xxx}
Status: RESOLVED FIXED
Alias: None
Product: editor
Classification: Unclassified
Component: Completion & Templates (show other bugs)
Version: 5.x
Hardware: All All
: P3 blocker with 1 vote (vote)
Assignee: Dusan Balek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-18 16:21 UTC by Scott Violet
Modified: 2007-11-05 13:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Violet 2006-01-18 16:21:01 UTC
The javadoc spec says you can use {@code xxx} and <code>xxx</code>
interchangably. In the platform we're starting to use {@code} more and more (see
javax.swing.TransferHandler in 1.6). The code completion popup that shows the
html doesn't recognize {@code} as <code> correctly.
Comment 1 Max Sauer 2006-05-24 09:57:54 UTC
I can reproduce this. Ie. java.util.Random uses {@code smtg} tags also.

-------
NetBeans 5.5 Dev (Build 200605220200)
SunOS version 5.10 running on sparc
Java HotSpot(TM) Client VM 1.6.0-beta2-b84
Comment 2 Dusan Balek 2007-01-11 09:30:14 UTC
Fixed.

Checking in JavaCompletionDoc.java;
/cvs/java/editor/src/org/netbeans/modules/editor/java/JavaCompletionDoc.java,v 
<--  JavaCompletionDoc.java
new revision: 1.14; previous revision: 1.13
done